app.controller('selezioneDataCtrl', 
function ($scope,$mdDialog,$timeout,utilsSvc, locals) {
	

	$scope.prompt = locals.prompt;
	$scope.dialogTitle = locals.dialogTitle;
	$scope.dataSelezionata = new Date();
	
	$scope.$evalAsync(function(){
		document.getElementById('dataSelezionata').focus();
	});

	if (locals.dataIniziale)
		$scope.dataSelezionata = locals.dataIniziale;
	
	$scope.confirmDialog = function() {
		$mdDialog.hide($scope.dataSelezionata);
	}
	
	$scope.cancelDialog = function() {
    	$mdDialog.cancel();
    }
    
});